<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:transform
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 version="1.0"
>

<xsl:output encoding="iso-8859-1"/>

<data xmlns="data.uri">
<months xml:lang="en">
   <m>January</m><m>February</m><m>March</m><m>April</m>
   <m>May</m><m>June</m><m>July</m><m>August</m>
   <m>September</m><m>October</m><m>November</m><m>December</m>
</months>
<months xml:lang="fr">
   <m>Janvier</m><m>Fvrier</m><m>Mars</m><m>Avril</m>
   <m>Mai</m><m>Juin</m><m>Juillet</m><m>Aot</m>
   <m>Septembre</m><m>Octobre</m><m>Novembre</m><m>Dcembre</m>
</months>
<months xml:lang="de">
   <m>Januar</m><m>Februar</m><m>Mrz</m><m>April</m>
   <m>Mai</m><m>Juni</m><m>Juli</m><m>August</m>
   <m>September</m><m>Oktober</m><m>November</m><m>Dezember</m>
</months>
</data>

<xsl:param name="language" select="'en'"/>

<xsl:template match="iso-date">
<date xmlns:data="data.uri" xsl:exclude-result-prefixes="data">
   <xsl:value-of select="substring(., 7, 2)"/>
   <xsl:text> </xsl:text>
   <xsl:variable name="month" select="number(substring(.,5,2))"/>
   <xsl:value-of select="document('')/*/data:data/data:months[lang($language)]/data:m[$month]"/>
   <xsl:text> </xsl:text>
   <xsl:value-of select="substring(., 1, 4)"/>
</date>
</xsl:template>

</xsl:transform>

