<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
                extension-element-prefixes="xt"
                version="1.0">
 
<xsl:template match="poem">
   <poem>
      <xsl:copy-of select="title"/>
      <xsl:copy-of select="author"/>
      <xsl:copy-of select="date"/>
      <xsl:apply-templates select="stanza"/>
   </poem>
</xsl:template>

<xsl:template match="stanza">
   <xsl:variable name="file" select="concat('verse', position(), '.xml')"/>
   <verse number="{position()}" href="{$file}"/> 
   <xt:document href="{$file}">
        <xsl:copy-of select="."/>
   </xt:document>
</xsl:template>

</xsl:stylesheet>

